version: '3.8'
services:
  processing_limit_power_by_agcavc:
    build:
      context: ././data_processing/processing_limit_power/processing_limit_power_by_agcavc
    command: >
      --timeBegin=${timeBegin}
      --timeEnd=${timeEnd}
      --col_time=${col_time}
      --user=${user}
      --password=${password}
      --host=${host}
      --port=${port}
      --database="ipfcst_j00260_20240911093804"
      --agc_avc_table=${agc_avc_table}
      --mongodb_connection=${mongodb_connection}
      --mongodb_database=${mongodb_database}
      --mongodb_read_table="J00260NWP"
      --mongodb_write_table="J00260NWP_agcavc"

  processing_limit_power_by_machines:
    build:
      context: ././data_processing/processing_limit_power/processing_limit_power_by_machines
    command: >
      --col_rp=${col_rp} 
      --col_tp=${col_tp}
      --mongodb_connection=${mongodb_connection}   
      --mongodb_database=${mongodb_database}    
      --mongodb_read_table="J00260NWP_agcavc"     
      --mongodb_write_table="J00260NWP_machines"
    depends_on:
      - processing_limit_power_by_agcavc
      
  processing_limit_power_by_records:
    build:
      context: ././data_processing/processing_limit_power/processing_limit_power_by_records
    command: >
      --timeBegin=${timeBegin}    
      --timeEnd=${timeEnd}  
      --station_code="J00260"     
      --col_time=${col_time}    
      --mongodb_connection=${mongodb_connection}    
      --mongodb_database=${mongodb_database} 
      --mongodb_read_table="J00260NWP_machines"     
      --mongodb_write_table="J00260NWP_records"
    depends_on:
      - processing_limit_power_by_machines